create or replace package plpdf_tk5_util
authid current_user is
--v5.9
----------------------------------------------------------------------
c_ff number := to_number('ff','xx');
c_00ff number := to_number('00ff','xxxx');
--
c_max_loop number := 32000;
----------------------------------------------------------------------
procedure forward_error(
  p_proc varchar2,
  p_error varchar2,
  p_params varchar2,
  p_sqlerr varchar2
  );
--  
function hex2num(
  p_hex varchar2
  ) return number;
--
function hextobits(
  p_hex varchar2
  ) return varchar2;
--
function bitscomp(
  p_bits varchar2
  ) return varchar2;
--
function tobits(
  p_num number
  ) return varchar2;
--
function bitstohex(
  p_bits varchar2
  ) return varchar2;
--
function tonum(
  p_bits varchar2
  ) return number;
--
function band(
  p_left number,
  p_right number
  ) return number;
--
function sl(
  p_num number,
  p_pos number
  ) return number;
--
function sr(
  p_num number,
  p_pos number
  ) return number;              
--
function zfsr(
  p_num number,
  p_pos number
  ) return number;
--
function char2num(
  p_text varchar2
  ) return number;
--
function RemoveCRLFSpace(
  p_text varchar2
  ) return varchar2;
--
function is_num(
  p_text varchar2
  ) return boolean;
--
function ObjRefEqual(
  p_obj_ref_1 plpdf_type.t_obj_ref,
  p_obj_ref_2 plpdf_type.t_obj_ref
  ) return boolean;
--
function crObjRef(
  p_obj pls_integer,
  p_gen pls_integer
  ) return plpdf_type.t_obj_ref;    
--
function getObjRef(
  p_obj_text varchar2 -- 11 0 R or 11 0 obj
  ) return plpdf_type.t_obj_ref;
--
function hex2string(
  p_hex varchar2
  ) return varchar2;
--
procedure enableprocts;  
--
procedure procts(
  p_name varchar2 
  );
--  
end plpdf_tk5_util;
/

